// Compiled shader for all platforms, uncompressed size: 18.4KB

Shader "UnlitTintedTexEmissionDistanceDarken" {
Properties {
 _MainTex ("_MainTex", 2D) = "white" {}
 _Color ("_Color", Color) = (1,1,1,1)
 _EmissionTex ("Emission Texture", 2D) = "black" {}
 _FullDistance ("_FullDistance", Float) = 20
 _StartDistance ("_StartDistance", Float) = 2
 _MaxDarkness ("_MaxDarkness", Float) = 0
}
SubShader { 


 // Stats for Vertex shader:
 //       d3d11 : 8 math
 //    d3d11_9x : 8 math
 //        d3d9 : 9 math
 //      opengl : 9 math
 // Stats for Fragment shader:
 //       d3d11 : 11 math, 2 texture
 //    d3d11_9x : 11 math, 2 texture
 //        d3d9 : 16 math, 2 texture
 //      opengl : 17 math, 2 texture
 Pass {
  Tags { "LIGHTMODE"="Always" }
  Blend SrcAlpha OneMinusSrcAlpha
Program "vp" {
SubProgram "opengl " {
// Stats: 9 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 5 [_Object2World]
"!!ARBvp1.0
PARAM c[9] = { program.local[0],
		state.matrix.mvp,
		program.local[5..8] };
MOV result.texcoord[0], vertex.texcoord[0];
DP4 result.position.w, vertex.position, c[4];
DP4 result.position.z, vertex.position, c[3];
DP4 result.position.y, vertex.position, c[2];
DP4 result.position.x, vertex.position, c[1];
DP4 result.texcoord[1].w, vertex.position, c[8];
DP4 result.texcoord[1].z, vertex.position, c[7];
DP4 result.texcoord[1].y, vertex.position, c[6];
DP4 result.texcoord[1].x, vertex.position, c[5];
END
# 9 instructions, 0 R-regs
"
}
SubProgram "d3d9 " {
// Stats: 9 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
"vs_2_0
dcl_position0 v0
dcl_texcoord0 v1
mov oT0, v1
dp4 oPos.w, v0, c3
dp4 oPos.z, v0, c2
dp4 oPos.y, v0, c1
dp4 oPos.x, v0, c0
dp4 oT1.w, v0, c7
dp4 oT1.z, v0, c6
dp4 oT1.y, v0, c5
dp4 oT1.x, v0, c4
"
}
SubProgram "d3d11 " {
// Stats: 8 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336
Matrix 0 [glstate_matrix_mvp]
Matrix 192 [_Object2World]
BindCB  "UnityPerDraw" 0
"vs_4_0
eefiecedkpbfcbcopbbjlomcckmeecbkodjgehgfabaaaaaakaacaaaaadaaaaaa
cmaaaaaaiaaaaaaapaaaaaaaejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaa
fmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfe
ejepeoaafeeffiedepepfceeaaklklklfdeieefckiabaaaaeaaaabaagkaaaaaa
fjaaaaaeegiocaaaaaaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaad
pcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagiaaaaacabaaaaaadiaaaaaipcaabaaa
aaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaaabaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaacaaaaaakgbkbaaaaaaaaaaa
egaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaaegiocaaaaaaaaaaaadaaaaaa
pgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaaegbobaaa
abaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaa
anaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaamaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
aoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaacaaaaaa
egiocaaaaaaaaaaaapaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadoaaaaab
"
}
SubProgram "d3d11_9x " {
// Stats: 8 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "UnityPerDraw" 336
Matrix 0 [glstate_matrix_mvp]
Matrix 192 [_Object2World]
BindCB  "UnityPerDraw" 0
"vs_4_0_level_9_1
eefiecednilelklipedmgcfmlfoongnppeopjnggabaaaaaanaadaaaaaeaaaaaa
daaaaaaafmabaaaaamadaaaagaadaaaaebgpgodjceabaaaaceabaaaaaaacpopp
oeaaaaaaeaaaaaaaacaaceaaaaaadmaaaaaadmaaaaaaceaaabaadmaaaaaaaaaa
aeaaabaaaaaaaaaaaaaaamaaaeaaafaaaaaaaaaaaaaaaaaaaaacpoppbpaaaaac
afaaaaiaaaaaapjabpaaaaacafaaabiaabaaapjaafaaaaadaaaaapiaaaaaffja
agaaoekaaeaaaaaeaaaaapiaafaaoekaaaaaaajaaaaaoeiaaeaaaaaeaaaaapia
ahaaoekaaaaakkjaaaaaoeiaaeaaaaaeabaaapoaaiaaoekaaaaappjaaaaaoeia
afaaaaadaaaaapiaaaaaffjaacaaoekaaeaaaaaeaaaaapiaabaaoekaaaaaaaja
aaaaoeiaaeaaaaaeaaaaapiaadaaoekaaaaakkjaaaaaoeiaaeaaaaaeaaaaapia
aeaaoekaaaaappjaaaaaoeiaaeaaaaaeaaaaadmaaaaappiaaaaaoekaaaaaoeia
abaaaaacaaaaammaaaaaoeiaabaaaaacaaaaapoaabaaoejappppaaaafdeieefc
kiabaaaaeaaaabaagkaaaaaafjaaaaaeegiocaaaaaaaaaaabaaaaaaafpaaaaad
pcbabaaaaaaaaaaafpaaaaadpcbabaaaabaaaaaaghaaaaaepccabaaaaaaaaaaa
abaaaaaagfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagiaaaaac
abaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiocaaaaaaaaaaa
abaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaaaaaaaaaaagbabaaa
aaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaaaaaaaaa
acaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpccabaaaaaaaaaaa
egiocaaaaaaaaaaaadaaaaaapgbpbaaaaaaaaaaaegaobaaaaaaaaaaadgaaaaaf
pccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaaaaaaaaaanaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
aaaaaaaaamaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaaaaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaacaaaaaaegiocaaaaaaaaaaaapaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadoaaaaabejfdeheoemaaaaaaacaaaaaaaiaaaaaadiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaaebaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaafaepfdejfeejepeoaafeeffiedepepfceeaaklkl
epfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaa
fmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaaapaaaaaafdfgfpfaepfdejfe
ejepeoaafeeffiedepepfceeaaklklkl"
}
SubProgram "gles " {
"!!GLES


#ifdef VERTEX

attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 _Object2World;
varying highp vec4 xlv_TEXCOORD0;
varying highp vec4 xlv_TEXCOORD1;
void main ()
{
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesMultiTexCoord0;
  xlv_TEXCOORD1 = (_Object2World * _glesVertex);
}



#endif
#ifdef FRAGMENT

uniform highp vec3 _WorldSpaceCameraPos;
uniform sampler2D _MainTex;
uniform sampler2D _EmissionTex;
uniform highp vec4 _Color;
uniform highp float _FullDistance;
uniform highp float _StartDistance;
uniform highp float _MaxDarkness;
varying highp vec4 xlv_TEXCOORD0;
varying highp vec4 xlv_TEXCOORD1;
void main ()
{
  highp vec3 arg0_1;
  arg0_1 = (_WorldSpaceCameraPos - xlv_TEXCOORD1.xyz);
  lowp vec4 tmpvar_2;
  tmpvar_2 = texture2D (_MainTex, xlv_TEXCOORD0.xy);
  lowp vec4 tmpvar_3;
  tmpvar_3 = texture2D (_EmissionTex, xlv_TEXCOORD0.xy);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 1.0;
  tmpvar_4.xyz = (clamp ((tmpvar_2.xyz * _Color.xyz), 0.0, 1.0) + (tmpvar_3.xyz * ((vec3(clamp ((1.0 - ((sqrt(dot (arg0_1, arg0_1)) - _StartDistance) / (_FullDistance - _StartDistance))), 0.0, 1.0)) * (1.0 - _MaxDarkness)) + _MaxDarkness)));
  gl_FragData[0] = tmpvar_4;
}



#endif"
}
SubProgram "flash " {
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [glstate_matrix_mvp]
Matrix 4 [_Object2World]
"agal_vs
[bc]
aaaaaaaaaaaaapaeadaaaaoeaaaaaaaaaaaaaaaaaaaaaaaa mov v0, a3
bdaaaaaaaaaaaiadaaaaaaoeaaaaaaaaadaaaaoeabaaaaaa dp4 o0.w, a0, c3
bdaaaaaaaaaaaeadaaaaaaoeaaaaaaaaacaaaaoeabaaaaaa dp4 o0.z, a0, c2
bdaaaaaaaaaaacadaaaaaaoeaaaaaaaaabaaaaoeabaaaaaa dp4 o0.y, a0, c1
bdaaaaaaaaaaabadaaaaaaoeaaaaaaaaaaaaaaoeabaaaaaa dp4 o0.x, a0, c0
bdaaaaaaabaaaiaeaaaaaaoeaaaaaaaaahaaaaoeabaaaaaa dp4 v1.w, a0, c7
bdaaaaaaabaaaeaeaaaaaaoeaaaaaaaaagaaaaoeabaaaaaa dp4 v1.z, a0, c6
bdaaaaaaabaaacaeaaaaaaoeaaaaaaaaafaaaaoeabaaaaaa dp4 v1.y, a0, c5
bdaaaaaaabaaabaeaaaaaaoeaaaaaaaaaeaaaaoeabaaaaaa dp4 v1.x, a0, c4
"
}
SubProgram "glesdesktop " {
"!!GLES


#ifdef VERTEX

attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 _Object2World;
varying highp vec4 xlv_TEXCOORD0;
varying highp vec4 xlv_TEXCOORD1;
void main ()
{
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesMultiTexCoord0;
  xlv_TEXCOORD1 = (_Object2World * _glesVertex);
}



#endif
#ifdef FRAGMENT

uniform highp vec3 _WorldSpaceCameraPos;
uniform sampler2D _MainTex;
uniform sampler2D _EmissionTex;
uniform highp vec4 _Color;
uniform highp float _FullDistance;
uniform highp float _StartDistance;
uniform highp float _MaxDarkness;
varying highp vec4 xlv_TEXCOORD0;
varying highp vec4 xlv_TEXCOORD1;
void main ()
{
  highp vec3 arg0_1;
  arg0_1 = (_WorldSpaceCameraPos - xlv_TEXCOORD1.xyz);
  lowp vec4 tmpvar_2;
  tmpvar_2 = texture2D (_MainTex, xlv_TEXCOORD0.xy);
  lowp vec4 tmpvar_3;
  tmpvar_3 = texture2D (_EmissionTex, xlv_TEXCOORD0.xy);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 1.0;
  tmpvar_4.xyz = (clamp ((tmpvar_2.xyz * _Color.xyz), 0.0, 1.0) + (tmpvar_3.xyz * ((vec3(clamp ((1.0 - ((sqrt(dot (arg0_1, arg0_1)) - _StartDistance) / (_FullDistance - _StartDistance))), 0.0, 1.0)) * (1.0 - _MaxDarkness)) + _MaxDarkness)));
  gl_FragData[0] = tmpvar_4;
}



#endif"
}
SubProgram "gles3 " {
"!!GLES3#version 300 es


#ifdef VERTEX

in vec4 _glesVertex;
in vec4 _glesMultiTexCoord0;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 _Object2World;
out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
void main ()
{
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesMultiTexCoord0;
  xlv_TEXCOORD1 = (_Object2World * _glesVertex);
}



#endif
#ifdef FRAGMENT

out mediump vec4 _glesFragData[4];
uniform highp vec3 _WorldSpaceCameraPos;
uniform sampler2D _MainTex;
uniform sampler2D _EmissionTex;
uniform highp vec4 _Color;
uniform highp float _FullDistance;
uniform highp float _StartDistance;
uniform highp float _MaxDarkness;
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
void main ()
{
  highp vec3 arg0_1;
  arg0_1 = (_WorldSpaceCameraPos - xlv_TEXCOORD1.xyz);
  lowp vec4 tmpvar_2;
  tmpvar_2 = texture (_MainTex, xlv_TEXCOORD0.xy);
  lowp vec4 tmpvar_3;
  tmpvar_3 = texture (_EmissionTex, xlv_TEXCOORD0.xy);
  highp vec4 tmpvar_4;
  tmpvar_4.w = 1.0;
  tmpvar_4.xyz = (clamp ((tmpvar_2.xyz * _Color.xyz), 0.0, 1.0) + (tmpvar_3.xyz * ((vec3(clamp ((1.0 - ((sqrt(dot (arg0_1, arg0_1)) - _StartDistance) / (_FullDistance - _StartDistance))), 0.0, 1.0)) * (1.0 - _MaxDarkness)) + _MaxDarkness)));
  _glesFragData[0] = tmpvar_4;
}



#endif"
}
}
Program "fp" {
SubProgram "opengl " {
// Stats: 17 math, 2 textures
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_FullDistance]
Float 3 [_StartDistance]
Float 4 [_MaxDarkness]
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_EmissionTex] 2D 1
"!!ARBfp1.0
PARAM c[6] = { program.local[0..4],
		{ 1 } };
TEMP R0;
TEMP R1;
TEMP R2;
TEX R0.xyz, fragment.texcoord[0], texture[0], 2D;
TEX R1.xyz, fragment.texcoord[0], texture[1], 2D;
ADD R2.xyz, -fragment.texcoord[1], c[0];
DP3 R0.w, R2, R2;
RSQ R0.w, R0.w;
RCP R0.w, R0.w;
ADD R2.x, R0.w, -c[3];
MOV R1.w, c[3].x;
ADD R1.w, -R1, c[2].x;
MOV R0.w, c[5].x;
RCP R1.w, R1.w;
MUL_SAT R0.xyz, R0, c[1];
ADD R0.w, R0, -c[4].x;
MAD_SAT R1.w, -R2.x, R1, c[5].x;
MAD R0.w, R1, R0, c[4].x;
MAD result.color.xyz, R1, R0.w, R0;
MOV result.color.w, c[5].x;
END
# 17 instructions, 3 R-regs
"
}
SubProgram "d3d9 " {
// Stats: 16 math, 2 textures
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_FullDistance]
Float 3 [_StartDistance]
Float 4 [_MaxDarkness]
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_EmissionTex] 2D 1
"ps_2_0
dcl_2d s0
dcl_2d s1
def c5, 1.00000000, 0, 0, 0
dcl t0.xy
dcl t1.xyz
texld r1, t0, s0
texld r3, t0, s1
add r0.xyz, -t1, c0
dp3 r0.x, r0, r0
mul_sat r4.xyz, r1, c1
rsq r0.x, r0.x
rcp r0.x, r0.x
mov r1.x, c2
add r1.x, -c3, r1
mov r2.x, c4
add r0.x, r0, -c3
rcp r1.x, r1.x
add r2.x, c5, -r2
mad_sat r0.x, -r0, r1, c5
mad r0.x, r0, r2, c4
mov r0.w, c5.x
mad r0.xyz, r3, r0.x, r4
mov oC0, r0
"
}
SubProgram "d3d11 " {
// Stats: 11 math, 2 textures
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_EmissionTex] 2D 1
ConstBuffer "$Globals" 32
Vector 0 [_Color]
Float 16 [_FullDistance]
Float 20 [_StartDistance]
Float 24 [_MaxDarkness]
ConstBuffer "UnityPerCamera" 128
Vector 64 [_WorldSpaceCameraPos] 3
BindCB  "$Globals" 0
BindCB  "UnityPerCamera" 1
"ps_4_0
eefieceddaiimikgkomjggpdkgaebaaphndjhlkpabaaaaaadaadaaaaadaaaaaa
cmaaaaaajmaaaaaanaaaaaaaejfdeheogiaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaafmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapadaaaafmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apahaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcfiacaaaaeaaaaaaajgaaaaaa
fjaaaaaeegiocaaaaaaaaaaaacaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafibiaaaeaahabaaa
aaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaagcbaaaaddcbabaaa
abaaaaaagcbaaaadhcbabaaaacaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaac
acaaaaaaaaaaaaajhcaabaaaaaaaaaaaegbcbaiaebaaaaaaacaaaaaaegiccaaa
abaaaaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaaaaaaaaaegacbaaa
aaaaaaaaelaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaajbcaabaaa
aaaaaaaaakaabaaaaaaaaaaabkiacaiaebaaaaaaaaaaaaaaabaaaaaaaaaaaaak
ccaabaaaaaaaaaaabkiacaiaebaaaaaaaaaaaaaaabaaaaaaakiacaaaaaaaaaaa
abaaaaaaaoaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
aacaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadp
aaaaaaajccaabaaaaaaaaaaackiacaiaebaaaaaaaaaaaaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaakbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
ckiacaaaaaaaaaaaabaaaaaaefaaaaajpcaabaaaabaaaaaaegbabaaaabaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaadicaaaaiocaabaaaaaaaaaaaagajbaaa
abaaaaaaagijcaaaaaaaaaaaaaaaaaaaefaaaaajpcaabaaaabaaaaaaegbabaaa
abaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaadcaaaaajhccabaaaaaaaaaaa
egacbaaaabaaaaaaagaabaaaaaaaaaaajgahbaaaaaaaaaaadgaaaaaficcabaaa
aaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}
SubProgram "d3d11_9x " {
// Stats: 11 math, 2 textures
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_EmissionTex] 2D 1
ConstBuffer "$Globals" 32
Vector 0 [_Color]
Float 16 [_FullDistance]
Float 20 [_StartDistance]
Float 24 [_MaxDarkness]
ConstBuffer "UnityPerCamera" 128
Vector 64 [_WorldSpaceCameraPos] 3
BindCB  "$Globals" 0
BindCB  "UnityPerCamera" 1
"ps_4_0_level_9_1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"
}
SubProgram "gles " {
"!!GLES"
}
SubProgram "flash " {
Vector 0 [_WorldSpaceCameraPos]
Vector 1 [_Color]
Float 2 [_FullDistance]
Float 3 [_StartDistance]
Float 4 [_MaxDarkness]
SetTexture 0 [_MainTex] 2D 0
SetTexture 1 [_EmissionTex] 2D 1
"agal_ps
c5 1.0 0.0 0.0 0.0
[bc]
ciaaaaaaabaaapacaaaaaaoeaeaaaaaaaaaaaaaaafaababb tex r1, v0, s0 <2d wrap linear point>
ciaaaaaaadaaapacaaaaaaoeaeaaaaaaabaaaaaaafaababb tex r3, v0, s1 <2d wrap linear point>
bfaaaaaaaaaaahacabaaaaoeaeaaaaaaaaaaaaaaaaaaaaaa neg r0.xyz, v1
abaaaaaaaaaaahacaaaaaakeacaaaaaaaaaaaaoeabaaaaaa add r0.xyz, r0.xyzz, c0
bcaaaaaaaaaaabacaaaaaakeacaaaaaaaaaaaakeacaaaaaa dp3 r0.x, r0.xyzz, r0.xyzz
adaaaaaaaeaaahacabaaaakeacaaaaaaabaaaaoeabaaaaaa mul r4.xyz, r1.xyzz, c1
bgaaaaaaaeaaahacaeaaaakeacaaaaaaaaaaaaaaaaaaaaaa sat r4.xyz, r4.xyzz
akaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa rsq r0.x, r0.x
afaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa rcp r0.x, r0.x
aaaaaaaaabaaabacacaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r1.x, c2
aaaaaaaaacaaapacadaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r2, c3
bfaaaaaaabaaaiacacaaaaaaacaaaaaaaaaaaaaaaaaaaaaa neg r1.w, r2.x
abaaaaaaabaaabacabaaaappacaaaaaaabaaaaaaacaaaaaa add r1.x, r1.w, r1.x
aaaaaaaaacaaabacaeaaaaoeabaaaaaaaaaaaaaaaaaaaaaa mov r2.x, c4
acaaaaaaaaaaabacaaaaaaaaacaaaaaaadaaaaoeabaaaaaa sub r0.x, r0.x, c3
afaaaaaaabaaabacabaaaaaaacaaaaaaaaaaaaaaaaaaaaaa rcp r1.x, r1.x
acaaaaaaacaaabacafaaaaoeabaaaaaaacaaaaaaacaaaaaa sub r2.x, c5, r2.x
bfaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa neg r0.x, r0.x
adaaaaaaaaaaabacaaaaaaaaacaaaaaaabaaaaaaacaaaaaa mul r0.x, r0.x, r1.x
abaaaaaaaaaaabacaaaaaaaaacaaaaaaafaaaaoeabaaaaaa add r0.x, r0.x, c5
bgaaaaaaaaaaabacaaaaaaaaacaaaaaaaaaaaaaaaaaaaaaa sat r0.x, r0.x
adaaaaaaaaaaabacaaaaaaaaacaaaaaaacaaaaaaacaaaaaa mul r0.x, r0.x, r2.x
abaaaaaaaaaaabacaaaaaaaaacaaaaaaaeaaaaoeabaaaaaa add r0.x, r0.x, c4
aaaaaaaaaaaaaiacafaaaaaaabaaaaaaaaaaaaaaaaaaaaaa mov r0.w, c5.x
adaaaaaaaaaaahacadaaaakeacaaaaaaaaaaaaaaacaaaaaa mul r0.xyz, r3.xyzz, r0.x
abaaaaaaaaaaahacaaaaaakeacaaaaaaaeaaaakeacaaaaaa add r0.xyz, r0.xyzz, r4.xyzz
aaaaaaaaaaaaapadaaaaaaoeacaaaaaaaaaaaaaaaaaaaaaa mov o0, r0
"
}
SubProgram "glesdesktop " {
"!!GLES"
}
SubProgram "gles3 " {
"!!GLES3"
}
}
 }
}
}